Katello - Bug #24006

Orphaned queues are not auto-deleted for Qpid at scale
06/19/2018 04:32 PM - Jonathon Turel

Status: Closed
Priority: High
Assignee:
Category: Client/Agent
Target version: Katello 3.7.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1417345 Red Hat JIRA:
Pull request: https://github.com/Katello/katello-host-to
ols/pull/63
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1417345

Description of problem:
Have been running 6k+ content hosts with satelite 6.2/ capsule.
Started noticing 'error Error on attach: Node not found:'.

gpidd™®%2': 2017-01-27 21:35:37 [Protocol] error Error on attach: Node not found:
pulp.agent.7e8e5e57-b61b-49be-a023-d2d375914382

gpidd: 2017-01-27 21:35:37 [Protocol] error Error on attach: Node not found: pulp.agent.7e8e5e57-b61b-49be-a023-d2d375914382
gpidd: 2017-01-27 21:35:40 [Protocol] error Error on attach: Node not found: pulp.agent.4d91dd05-a52c-418d-8535-ffb2eb9bc18d
qpidd™®2": 2017-01-27 21:35:40 [Protocol] error Error on attach: Node not found:
pulp.agent.4d91dd05-a52¢c-418d-8535-ffb2eb9bc18d

Below uuid has orphaned queue, which doesnt have any nodes associated with it.

[root@host tmp]# cat /var/log/messages| grep "error Error on attach: Node not found" | awk -F "error Error on attach: Node not
found: " '{ print $2 }' | cut -d. -f3 | sort -u

01342d48-7dd6-4f41-b53¢c-97¢c92ed20818
0e0ce30c-ae99-4130-9d7f-6e6d16fe26b3
13a3438c¢-cff9-49e2-8e09-a120b2d61996
170a7bd6-d892-4e49-baa3-c5610b294979
20c8e747-b0f3-4c9f-bd32-bd6052140a81
27a99624-8¢85-457-0976-73636e52d4fc
3607362d-b323-47¢c4-b630-2da60fb21544
3613911b-5441-491b-8206-5c8869359669
49bfa8a3-e128-4cf9-b146-98f830399dba
4d91dd05-a52¢c-418d-8535-ffb2eb9bc18d
4f6a2f5b-da05-4ff{8-a708-80464762c0bb
53d9acd9-445¢-4f61-aab5b-160515ee9245
54806e8b-a2c¢3-489c-a3e6-d5457982e44d
59256ebe-57e0-41d9-84d3-5cc412aa7926
6b053bfa-5da0-4758-b3bb-9f02ce62f9f1
7376d9ce-7e32-4167-943¢c-6df196f1e073
7714e9fc-a545-4f50-b614-3076a602f53¢
7e8e5e57-b61b-49be-a023-d2d375914382
8aee2667-a8f5-4144-9c8f-a5fbh2db6f498
8c18a6¢cb-9¢84-4427-8075-e9b67ee299a2
8ec32fd5-23f5-477d-819a-980b4a1ab93a
9667fea9-0efa-4289-871c-6a0a4e56df87
ae4dd874-8101-44b5-90d6-002d9f83e390
b110adc1-5¢61-4fb1-91d9-3a5¢c3c6fa90f
b65b87d3-4842-4fab-aad4a-310137ebeadb
b8d0f181-6d86-4518-bc29-a31ed0bb2fc2
be1a0629-55ed-4d1b-b307-bc34cf85fcca
c432563f-baa6-4bad-9d85-dec46d02e793
cdcf497¢-58f8-4143-9bbc-cc2b5178201e
d04924cc-7a65-46f6-aa8a-5d2850261445
e386f227-9d9e-4da5-80f3-ea2251ae16f0
f2a8f65d-78ef-4c54-93f7-783501fa2a0f
f63a1132-1d49-46d6-bf26-f7f6e8ea991b
fcfad18c-69ca-4930-9bbb-97432228896

There is no such node with this uuid

[root@host tmp]# gpid-stat --ssl-certificate=/etc/pki/katello/qpid_client_striped.crt -b amqgps://localhost:5671 -q | grep
0e0ce30c-ae99-4130-9d7f-6e6d16fe26b3

[root@host tmp]#

Version-Release humber of selected component (if applicable):
How reproducible:

Steps to Reproduce:

1. Run at scale. Some hosts client dies ..etc

2.

3.

Actual results:

Expected results:

Additional info:

Associated revisions

Revision 8fc79619 - 06/20/2018 04:25 PM - Jeff Ortel

fixes #24006 - support plugin reload when queue not found.

History

#1 - 06/19/2018 05:31 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello-host-tools/pull/63 added

#2 - 06/20/2018 04:33 PM - Jonathon Turel
- Status changed from Ready For Testing to Closed

- translation missing: en.field_release set to 338
